#ifndef GFXUTILS_H
#define GFXUTILS_H

#include <gccore.h>
#include "readpng.h"

GXRModeObj* VideoInit();
void* getCurrentFrameBuffer();
void* getSpareFrameBuffer();
void blankScreen();
void swapFrameBuffers();
void waitVSync();

void GraphicsInit();
void loadPngTiles(const png_byte* pngBuffer, int numCols, int numRows);
void drawTile( int x, int y, int width, int height, int image, f32 angle );
void renderToFrameBuffer(void* fb);

#endif

